<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<!-- Additional documentation for the optim package for Octave.

Copyright (C) Olaf Till <i7tiol@t-online.de>

You can redistribute this documentation and/or modify it under the terms
of the GNU General Public License as published by the Free Software
Foundation; either version 3 of the License, or (at your option) any
later version.

This documentation is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this documentation; if not, see <http://www.gnu.org/licenses/>. -->
<!-- Created by GNU Texinfo 6.3, http://www.gnu.org/software/texinfo/ -->
<head>
<title>optim_doc: linprog</title>

<meta name="description" content="optim_doc: linprog">
<meta name="keywords" content="optim_doc: linprog">
<meta name="resource-type" content="document">
<meta name="distribution" content="global">
<meta name="Generator" content="makeinfo">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="index.html#Top" rel="start" title="Top">
<link href="Function-index.html#Function-index" rel="index" title="Function index">
<link href="Compatibility-functions.html#Compatibility-functions" rel="up" title="Compatibility functions">
<link href="quadprog.html#quadprog" rel="next" title="quadprog">
<link href="Compatibility-functions.html#Compatibility-functions" rel="prev" title="Compatibility functions">
<style type="text/css">
<!--
a.summary-letter {text-decoration: none}
blockquote.indentedblock {margin-right: 0em}
blockquote.smallindentedblock {margin-right: 0em; font-size: smaller}
blockquote.smallquotation {font-size: smaller}
div.display {margin-left: 3.2em}
div.example {margin-left: 3.2em}
div.lisp {margin-left: 3.2em}
div.smalldisplay {margin-left: 3.2em}
div.smallexample {margin-left: 3.2em}
div.smalllisp {margin-left: 3.2em}
kbd {font-style: oblique}
pre.display {font-family: inherit}
pre.format {font-family: inherit}
pre.menu-comment {font-family: serif}
pre.menu-preformatted {font-family: serif}
pre.smalldisplay {font-family: inherit; font-size: smaller}
pre.smallexample {font-size: smaller}
pre.smallformat {font-family: inherit; font-size: smaller}
pre.smalllisp {font-size: smaller}
span.nolinebreak {white-space: nowrap}
span.roman {font-family: initial; font-weight: normal}
span.sansserif {font-family: sans-serif; font-weight: normal}
ul.no-bullet {list-style: none}
-->
</style>


</head>

<body lang="en">
<a name="linprog"></a>
<div class="header">
<p>
Next: <a href="quadprog.html#quadprog" accesskey="n" rel="next">quadprog</a>, Up: <a href="Compatibility-functions.html#Compatibility-functions" accesskey="u" rel="up">Compatibility functions</a> &nbsp; [<a href="Function-index.html#Function-index" title="Index" rel="index">Index</a>]</p>
</div>
<hr>
<a name="Linear-programming"></a>
<h3 class="section">7.1 Linear programming</h3>
<a name="index-linprog-4"></a>

<p>This function works by calling <code>glpk</code> of core Octave.
</p>
<a name="XREFlinprog"></a><dl>
<dt><a name="index-linprog"></a>Function File: <em><var>x</var> =</em> <strong>linprog</strong> <em>(<var>f</var>, <var>A</var>, <var>b</var>)</em></dt>
<dt><a name="index-linprog-1"></a>Function File: <em><var>x</var> =</em> <strong>linprog</strong> <em>(<var>f</var>, <var>A</var>, <var>b</var>, <var>Aeq</var>, <var>beq</var>)</em></dt>
<dt><a name="index-linprog-2"></a>Function File: <em><var>x</var> =</em> <strong>linprog</strong> <em>(<var>f</var>, <var>A</var>, <var>b</var>, <var>Aeq</var>, <var>beq</var>, <var>lb</var>, <var>ub</var>)</em></dt>
<dt><a name="index-linprog-3"></a>Function File: <em>[<var>x</var>, <var>fval</var>] =</em> <strong>linprog</strong> <em>(&hellip;)</em></dt>
<dd><p>Solve a linear problem.
</p>
<p>Finds
</p>
<div class="example">
<pre class="example">min (f' * x)
</pre></div>

<p>(both f and x are column vectors) subject to
</p>
<div class="example">
<pre class="example">A   * x &lt;= b
Aeq * x  = beq
lb &lt;= x &lt;= ub
</pre></div>

<p>If not specified, <var>Aeq</var> and <var>beq</var> default to empty matrices.
</p>
<p>If not specified, the lower bound <var>lb</var> defaults to minus infinite
and the upper bound <var>ub</var> defaults to infinite.
</p>
</dd></dl>


<p>See also <a href="https://www.gnu.org/software/octave/doc/interpreter/XREFglpk.html#XREFglpk">(octave)glpk</a>.
</p>




</body>
</html>
